using System;

internal sealed class Delegate610 : MulticastDelegate
{
	public extern object Invoke(object object_0);

	public static object smethod_0(object object_0, Delegate610 delegate610_1)
	{
		return delegate610_1(object_0);
	}

	public extern Delegate610(object object_0, IntPtr intptr_0);

	static Delegate610()
	{
		Class10.smethod_13(typeof(Delegate610).TypeHandle);
	}

	internal static Delegate610 delegate610_0;
}
